Index: fittingview/src/sans/perspectives/fitting/basepage.py
===================================================================
--- fittingview/src/sans/perspectives/fitting/basepage.py	(revision f992a06e61976845619bed3fe4df39c8886b2432)
+++ fittingview/src/sans/perspectives/fitting/basepage.py	(revision ef26c8354b6185342ee4ec2f74e2fe34c632c808)
@@ -1714,5 +1689,5 @@
     def _copy_parameters_state(self, listtocopy, statelist):
         """
-        copy the state of button 
+        copy the state of button
         
         :param listtocopy: the list of check button to copy
@@ -1720,5 +1695,5 @@
         
         """
-        if len(listtocopy)==0:
+        if len(listtocopy) == 0:
             return
        
@@ -1726,16 +1701,16 @@
   
             checkbox_state = None
-            if item[0]!= None:
-                checkbox_state= item[0].GetValue()
+            if item[0] != None:
+                checkbox_state = item[0].GetValue()
             parameter_name = item[1]
             parameter_value = None
-            if item[2]!=None:
+            if item[2] != None:
                 parameter_value = item[2].GetValue()
             static_text = None
-            if item[3]!=None:
+            if item[3] != None:
                 static_text = item[3].IsShown()
             error_value = None
             error_state = None
-            if item[4]!= None:
+            if item[4] != None:
                 error_value = item[4].GetValue()
                 error_state = item[4].IsShown()
@@ -1743,5 +1718,5 @@
             min_value = None
             min_state = None
-            if item[5]!= None:
+            if item[5] != None:
                 min_value = item[5].GetValue()
                 min_state = item[5].IsShown()
@@ -1749,15 +1724,15 @@
             max_value = None
             max_state = None
-            if item[6]!= None:
+            if item[6] != None:
                 max_value = item[6].GetValue()
                 max_state = item[6].IsShown()
-            unit=None
-            if item[7]!=None:
+            unit = None
+            if item[7] != None:
                 unit = item[7].GetLabel()
                
             statelist.append([checkbox_state, parameter_name, parameter_value,
-                              static_text ,[error_state, error_value],
-                                [min_state, min_value],
-                                [max_state, max_value], unit])
+                              static_text, [error_state, error_value],
+                              [min_state, min_value],
+                              [max_state, max_value], unit])
            
     def _set_model_sizer_selection(self, model):
@@ -1767,5 +1742,5 @@
         if model == None:
             return
-        if hasattr(model ,"s_model"):
+        if hasattr(model, "s_model"):
             
             class_name = model.s_model.__class__
@@ -1775,5 +1750,5 @@
                 (class_name in self.model_list_box["Structure Factors"]):
                 self.structurebox.Show()
-                self.text2.Show()                
+                self.text2.Show()
                 self.structurebox.Enable()
                 self.text2.Enable()
@@ -1782,9 +1757,9 @@
                 
                 for i in range(len(items)):
-                    if items[i]== str(name):
+                    if items[i] == str(name):
                         self.structurebox.SetSelection(i)
                         break
                     
-        if hasattr(model ,"p_model"):
+        if hasattr(model, "p_model"):
             class_name = model.p_model.__class__
             name = model.p_model.name
@@ -1792,12 +1767,14 @@
             
             for k, list in self.model_list_box.iteritems():
-                if k in["P(Q)*S(Q)","Shapes" ] and class_name in self.model_list_box["Shapes"]:
+                if k in["P(Q)*S(Q)", "Shapes"] and \
+                    class_name in self.model_list_box["Shapes"]:
                     self.shape_rbutton.SetValue(True)
                     ## fill the form factor list with new model
-                    self._populate_box(self.formfactorbox,self.model_list_box["Shapes"])
+                    self._populate_box(self.formfactorbox,
+                                       self.model_list_box["Shapes"])
                     items = self.formfactorbox.GetItems()
                     ## set comboxbox to the selected item
                     for i in range(len(items)):
-                        if items[i]== str(name):
+                        if items[i] == str(name):
                             self.formfactorbox.SetSelection(i)
                             break
@@ -1806,6 +1783,6 @@
                     self.shape_indep_rbutton.SetValue(True)
                 elif k == "Structure Factors":
-                     self.struct_rbutton.SetValue(True)
-                elif  k == "Multi-Functions":
+                    self.struct_rbutton.SetValue(True)
+                elif k == "Multi-Functions":
                     continue
                 else:
@@ -1818,10 +1795,9 @@
                     ## set comboxbox to the selected item
                     for i in range(len(items)):
-                        if items[i]== str(name):
+                        if items[i] == str(name):
                             self.formfactorbox.SetSelection(i)
                             break
                     break
         else:
-
             ## Select the model from the menu
             class_name = model.__class__
@@ -1830,6 +1806,7 @@
             items = self.formfactorbox.GetItems()
     
-            for k, list in self.model_list_box.iteritems():          
-                if k in["P(Q)*S(Q)","Shapes" ] and class_name in self.model_list_box["Shapes"]:
+            for k, list in self.model_list_box.iteritems():
+                if k in["P(Q)*S(Q)", "Shapes"] and \
+                    class_name in self.model_list_box["Shapes"]:
                     if class_name in self.model_list_box["P(Q)*S(Q)"]:
                         self.structurebox.Show()
@@ -1847,9 +1824,10 @@
                     self.shape_rbutton.SetValue(True)
                     ## fill the form factor list with new model
-                    self._populate_box(self.formfactorbox,self.model_list_box["Shapes"])
+                    self._populate_box(self.formfactorbox,
+                                       self.model_list_box["Shapes"])
                     items = self.formfactorbox.GetItems()
                     ## set comboxbox to the selected item
                     for i in range(len(items)):
-                        if items[i]== str(name):
+                        if items[i] == str(name):
                             self.formfactorbox.SetSelection(i)
                             break
@@ -1859,5 +1837,5 @@
                 elif k == "Structure Factors":
                     self.struct_rbutton.SetValue(True)
-                elif  k == "Multi-Functions":
+                elif k == "Multi-Functions":
                     continue
                 else:
@@ -1866,5 +1844,5 @@
                     self.structurebox.SetSelection(0)
                     self.structurebox.Disable()
-                    self.text2.Disable()                    
+                    self.text2.Disable()
                     ## fill the form factor list with new model
                     self._populate_box(self.formfactorbox, list)
@@ -1872,5 +1850,5 @@
                     ## set comboxbox to the selected item
                     for i in range(len(items)):
-                        if items[i]== str(name):
+                        if items[i] == str(name):
                             self.formfactorbox.SetSelection(i)
                             break
@@ -1897,9 +1875,9 @@
         #if self.check_invalid_panel():
         #    return
-        if self.model !=None:
-            temp_smear=None
+        if self.model != None:
+            temp_smear = None
             if hasattr(self, "enable_smearer"):
                 if not self.disable_smearer.GetValue():
-                    temp_smear= self.current_smearer
+                    temp_smear = self.current_smearer
             # compute weight for the current data
             from .utils import get_weight
@@ -1908,12 +1886,12 @@
             toggle_mode_on = self.model_view.IsEnabled()
             is_2d = self._is_2D()
-            self._manager.draw_model(self.model, 
+            self._manager.draw_model(self.model,
                                     data=self.data,
-                                    smearer= temp_smear,
-                                    qmin=float(self.qmin_x), 
+                                    smearer=temp_smear,
+                                    qmin=float(self.qmin_x),
                                     qmax=float(self.qmax_x),
                                     page_id=self.uid,
-                                    toggle_mode_on=toggle_mode_on, 
-                                    state = self.state,
+                                    toggle_mode_on=toggle_mode_on,
+                                    state=self.state,
                                     enable2D=is_2d,
                                     update_chisqr=update_chisqr,
@@ -1921,5 +1899,4 @@
                                     weight=weight)
         
-       
     def _on_show_sld(self, event=None):
         """
@@ -1927,5 +1904,5 @@
         """
         # get profile data
-        x,y=self.model.getProfile()
+        x, y = self.model.getProfile()
 
         from danse.common.plottools import Data1D
@@ -1933,11 +1910,11 @@
         from sans.guiframe.local_perspectives.plotting.profile_dialog \
         import SLDPanel
-        sld_data = Data1D(x,y)
+        sld_data = Data1D(x, y)
         sld_data.name = 'SLD'
         sld_data.axes = self.sld_axes
-        self.panel = SLDPanel(self, data=sld_data, axes =self.sld_axes,id =-1)
-        self.panel.ShowModal()    
-        
-    def _set_multfactor_combobox(self, multiplicity=10):   
+        self.panel = SLDPanel(self, data=sld_data, axes=self.sld_axes, id=-1)
+        self.panel.ShowModal()
+        
+    def _set_multfactor_combobox(self, multiplicity=10):
         """
         Set comboBox for muitfactor of CoreMultiShellModel
@@ -1945,30 +1922,28 @@
         """
         # build content of the combobox
-        for idx in range(0,multiplicity):
-            self.multifactorbox.Append(str(idx),int(idx))
-            #self.multifactorbox.SetSelection(1) 
+        for idx in range(0, multiplicity):
+            self.multifactorbox.Append(str(idx), int(idx))
         self._hide_multfactor_combobox()
         
-    def _show_multfactor_combobox(self):   
+    def _show_multfactor_combobox(self):
         """
         Show the comboBox of muitfactor of CoreMultiShellModel
-        """ 
+        """
         if not self.mutifactor_text.IsShown():
             self.mutifactor_text.Show(True)
             self.mutifactor_text1.Show(True)
         if not self.multifactorbox.IsShown():
-            self.multifactorbox.Show(True)  
+            self.multifactorbox.Show(True)
              
-    def _hide_multfactor_combobox(self):   
+    def _hide_multfactor_combobox(self):
         """
         Hide the comboBox of muitfactor of CoreMultiShellModel
-        """ 
+        """
         if self.mutifactor_text.IsShown():
             self.mutifactor_text.Hide()
             self.mutifactor_text1.Hide()
         if self.multifactorbox.IsShown():
-            self.multifactorbox.Hide()   
-
-        
+            self.multifactorbox.Hide()
+
     def _show_combox_helper(self):
         """
@@ -1980,5 +1955,6 @@
             self.structurebox.Disable()
             self.formfactorbox.Clear()
-            self._populate_box( self.formfactorbox,self.model_list_box["Shapes"])
+            self._populate_box(self.formfactorbox,
+                               self.model_list_box["Shapes"])
         if self.shape_indep_rbutton.GetValue():
             ##fill the combobox with shape independent  factor list
@@ -1986,6 +1962,6 @@
             self.structurebox.Disable()
             self.formfactorbox.Clear()
-            self._populate_box( self.formfactorbox,
-                                self.model_list_box["Shape-Independent"])
+            self._populate_box(self.formfactorbox,
+                             self.model_list_box["Shape-Independent"])
         if self.struct_rbutton.GetValue():
             ##fill the combobox with structure factor list
@@ -1993,12 +1969,12 @@
             self.structurebox.Disable()
             self.formfactorbox.Clear()
-            self._populate_box( self.formfactorbox,
-                                self.model_list_box["Structure Factors"])
+            self._populate_box(self.formfactorbox,
+                               self.model_list_box["Structure Factors"])
         if self.plugin_rbutton.GetValue():
             ##fill the combobox with form factor list
             self.structurebox.Disable()
             self.formfactorbox.Clear()
-            self._populate_box( self.formfactorbox,
-                                self.model_list_box["Customized Models"])
+            self._populate_box(self.formfactorbox,
+                               self.model_list_box["Customized Models"])
         
     def _show_combox(self, event=None):
@@ -2006,7 +1982,4 @@
         Show combox box associate with type of model selected
         """
-        #if self.check_invalid_panel():
-        #    self.shape_rbutton.SetValue(True)
-        #    return
         self.Show(False)
         self._show_combox_helper()
@@ -2028,15 +2001,15 @@
         mlist = []
         for models in list:
-            model= models()
+            model = models()
             name = model.__class__.__name__
-            if models.__name__!="NoStructure":
+            if models.__name__ != "NoStructure":
                 if hasattr(model, "name"):
                     name = model.name
-                mlist.append( (name, models) )
+                mlist.append((name, models))
                 
         # Sort the models
         mlist_sorted = mlist
         for item in mlist_sorted:
-            combobox.Append(item[0],item[1])
+            combobox.Append(item[0], item[1])
         return 0
     
@@ -2066,17 +2039,17 @@
                 else:
                     tcrtl.SetBackgroundColour("pink")
-                    msg = "Model Error:wrong value entered : %s" % sys.exc_value
+                    msg = "Model Error:wrong value entered: %s" % sys.exc_value
                     wx.PostEvent(self.parent, StatusEvent(status=msg))
-                    return 
+                    return
             except:
                 tcrtl.SetBackgroundColour("pink")
-                msg = "Model Error:wrong value entered : %s" % sys.exc_value
+                msg = "Model Error:wrong value entered: %s" % sys.exc_value
                 wx.PostEvent(self.parent, StatusEvent(status=msg))
-                return 
+                return
             #Check if # of points for theory model are valid(>0).
             if self.npts != None:
                 if check_float(self.npts):
                     temp_npts = float(self.npts.GetValue())
-                    if temp_npts !=  self.num_points:
+                    if temp_npts != self.num_points:
                         self.num_points = temp_npts
                         is_modified = True
@@ -2085,8 +2058,7 @@
                     wx.PostEvent(self.parent, StatusEvent(status=msg))
         else:
-           tcrtl.SetBackgroundColour("pink")
-           msg = "Model Error:wrong value entered!!!"
-           wx.PostEvent(self.parent, StatusEvent(status=msg))
-        #self._undo.Enable(True)
+            tcrtl.SetBackgroundColour("pink")
+            msg = "Model Error:wrong value entered!!!"
+            wx.PostEvent(self.parent, StatusEvent(status=msg))
         self.save_current_state()
         event = PageInfoEvent(page=self)
@@ -2103,11 +2075,11 @@
         """
         
-        tcrtl= event.GetEventObject()
+        tcrtl = event.GetEventObject()
         #Clear msg if previously shown.
-        msg= ""
-        wx.PostEvent(self.parent.parent, StatusEvent(status = msg ))
+        msg = ""
+        wx.PostEvent(self.parent.parent, StatusEvent(status=msg))
         # Flag to register when a parameter has changed.
         is_modified = False
-        if tcrtl.GetValue().lstrip().rstrip()!="":
+        if tcrtl.GetValue().lstrip().rstrip() != "":
             try:
                 value = float(tcrtl.GetValue())
@@ -2124,36 +2096,35 @@
                 else:
                     tcrtl.SetBackgroundColour("pink")
-                    msg= "Model Error:wrong value entered : %s"% sys.exc_value
-                    wx.PostEvent(self._manager.parent, StatusEvent(status = msg ))
-                    return  
+                    msg = "Model Error:wrong value entered: %s" % sys.exc_value
+                    wx.PostEvent(self._manager.parent, StatusEvent(status=msg))
+                    return
             except:
                 tcrtl.SetBackgroundColour("pink")
-                msg= "Model Error:wrong value entered : %s"% sys.exc_value
-                wx.PostEvent(self._manager.parent, StatusEvent(status = msg ))
-                return 
+                msg = "Model Error:wrong value entered: %s" % sys.exc_value
+                wx.PostEvent(self._manager.parent, StatusEvent(status=msg))
+                return
             #Check if # of points for theory model are valid(>0).
-            if self.Npts_total.IsEditable() :
+            if self.Npts_total.IsEditable():
                 if check_float(self.Npts_total):
                     temp_npts = float(self.Npts_total.GetValue())
-                    if temp_npts !=  self.num_points:
+                    if temp_npts != self.num_points:
                         self.num_points = temp_npts
                         is_modified = True
                 else:
-                    msg= "Cannot Plot :No npts in that Qrange!!!  "
-                    wx.PostEvent(self.parent.parent, StatusEvent(status = msg ))
+                    msg = "Cannot Plot :No npts in that Qrange!!!  "
+                    wx.PostEvent(self.parent.parent, StatusEvent(status=msg))
         else:
-           tcrtl.SetBackgroundColour("pink")
-           msg = "Model Error:wrong value entered!!!"
-           wx.PostEvent(self.parent.parent, StatusEvent(status=msg))
-        #self._undo.Enable(True)
+            tcrtl.SetBackgroundColour("pink")
+            msg = "Model Error:wrong value entered!!!"
+            wx.PostEvent(self.parent.parent, StatusEvent(status=msg))
         self.save_current_state()
-        event = PageInfoEvent(page = self)
+        event = PageInfoEvent(page=self)
         wx.PostEvent(self.parent, event)
-        self.state_change= False
+        self.state_change = False
         #Draw the model for a different range
         self.create_default_data()
         self._draw_model()
                    
-    def _on_select_model_helper(self): 
+    def _on_select_model_helper(self):
         """
         call back for model selection
@@ -2161,5 +2132,5 @@
         ## reset dictionary containing reference to dispersion
         self._disp_obj_dict = {}
-        self.disp_cb_dict ={}
+        self.disp_cb_dict = {}
         self.temp_multi_functional = False
         f_id = self.formfactorbox.GetCurrentSelection()
@@ -2171,5 +2142,5 @@
         if not form_factor in  self.model_list_box["multiplication"]:
             self.structurebox.Hide()
-            self.text2.Hide()           
+            self.text2.Hide()
             self.structurebox.Disable()
             self.structurebox.SetSelection(0)
@@ -2181,24 +2152,23 @@
             self.text2.Enable()
             
-        if form_factor != None:    
-            # set multifactor for Mutifunctional models    
+        if form_factor != None:
+            # set multifactor for Mutifunctional models
             if form_factor().__class__ in self.model_list_box["Multi-Functions"]:
                 m_id = self.multifactorbox.GetCurrentSelection()
                 multiplicity = form_factor().multiplicity_info[0]
                 self.multifactorbox.Clear()
-                #self.mutifactor_text.SetLabel(form_factor().details[])
                 self._set_multfactor_combobox(multiplicity)
                 self._show_multfactor_combobox()
-                #ToDo:  this info should be called directly from the model 
-                text = form_factor().multiplicity_info[1]#'No. of Shells: '
-
-                #self.mutifactor_text.Clear()
+                #ToDo:  this info should be called directly from the model
+                text = form_factor().multiplicity_info[1]  # 'No. of Shells: '
+
                 self.mutifactor_text.SetLabel(text)
-                if m_id > multiplicity -1:
+                if m_id > multiplicity - 1:
                     # default value
                     m_id = 1
                     
                 self.multi_factor = self.multifactorbox.GetClientData(m_id)
-                if self.multi_factor == None: self.multi_factor =0
+                if self.multi_factor == None:
+                    self.multi_factor = 0
                 form_factor = form_factor(int(self.multi_factor))
                 self.multifactorbox.SetSelection(m_id)
@@ -2223,12 +2193,12 @@
             self._hide_multfactor_combobox()
             self.show_sld_button.Hide()
-            self.multi_factor = None  
+            self.multi_factor = None
               
         s_id = self.structurebox.GetCurrentSelection()
-        struct_factor = self.structurebox.GetClientData( s_id )
-        
-        if  struct_factor !=None:
+        struct_factor = self.structurebox.GetClientData(s_id)
+        
+        if  struct_factor != None:
             from sans.models.MultiplicationModel import MultiplicationModel
-            self.model= MultiplicationModel(form_factor,struct_factor())
+            self.model = MultiplicationModel(form_factor, struct_factor())
             # multifunctional form factor
             if len(form_factor.non_fittable) > 0:
@@ -2236,5 +2206,5 @@
         else:
             if form_factor != None:
-                self.model= form_factor
+                self.model = form_factor
             else:
                 self.model = None
@@ -2242,12 +2212,12 @@
             
         ## post state to fit panel
-        self.state.parameters =[]
-        self.state.model =self.model
+        self.state.parameters = []
+        self.state.model = self.model
         self.state.qmin = self.qmin_x
         self.state.multi_factor = self.multi_factor
-        self.disp_list =self.model.getDispParamList()
+        self.disp_list = self.model.getDispParamList()
         self.state.disp_list = self.disp_list
         self.on_set_focus(None)
-        self.Layout()     
+        self.Layout()
         
     def _validate_qrange(self, qmin_ctrl, qmax_ctrl):
@@ -2259,5 +2229,5 @@
         :param qmax_ctrl: text control for Qmax
         
-        :return: True is the Q range is value, False otherwise 
+        :return: True is the Q range is value, False otherwise
         
         """
@@ -2270,5 +2240,5 @@
             qmax = float(qmax_ctrl.GetValue())
             if qmin < qmax:
-                #Make sure to set both colours white.  
+                #Make sure to set both colours white.
                 qmin_ctrl.SetBackgroundColour(wx.WHITE)
                 qmin_ctrl.Refresh()
@@ -2280,10 +2250,10 @@
                 qmax_ctrl.SetBackgroundColour("pink")
                 qmax_ctrl.Refresh()
-                msg= "Invalid Q range: Q min must be smaller than Q max"
-                wx.PostEvent(self.parent.parent, StatusEvent(status = msg))
+                msg = "Invalid Q range: Q min must be smaller than Q max"
+                wx.PostEvent(self.parent.parent, StatusEvent(status=msg))
                 return False
         return True
     
-    def _validate_Npts(self):  
+    def _validate_Npts(self):
         """
         Validate the number of points for fitting is more than 10 points.
@@ -2297,10 +2267,10 @@
         for data in self.data_list:
             # q value from qx and qy
-            radius= numpy.sqrt( data.qx_data * data.qx_data + 
-                                data.qy_data * data.qy_data )
+            radius = numpy.sqrt(data.qx_data * data.qx_data +
+                                data.qy_data * data.qy_data)
             #get unmasked index
             index_data = (float(self.qmin.GetValue()) <= radius) & \
                             (radius <= float(self.qmax.GetValue()))
-            index_data = (index_data) & (data.mask) 
+            index_data = (index_data) & (data.mask)
             index_data = (index_data) & (numpy.isfinite(data.data))
 
@@ -2311,15 +2281,15 @@
                 self.qmax.SetBackgroundColour("pink")
                 self.qmax.Refresh()
-                msg= "Npts of Data Error :No or too little npts of %s."% data.name
-                wx.PostEvent(self.parent.parent, StatusEvent(status = msg ))
+                msg = "Npts of Data Error :No or too little npts of %s." % data.name
+                wx.PostEvent(self.parent.parent, StatusEvent(status=msg))
                 self.fitrange = False
                 flag = False
             else:
-                self.Npts_fit.SetValue(str(len(index_data[index_data==True])))
+                self.Npts_fit.SetValue(str(len(index_data[index_data == True])))
                 self.fitrange = True
             
         return flag
 
-    def _validate_Npts_1D(self):  
+    def _validate_Npts_1D(self):
         """
         Validate the number of points for fitting is more than 5 points.
@@ -2333,5 +2303,5 @@
         for data in self.data_list:
             # q value from qx and qy
-            radius= data.x
+            radius = data.x
             #get unmasked index
             index_data = (float(self.qmin.GetValue()) <= radius) & \
@@ -2345,15 +2315,13 @@
                 self.qmax.SetBackgroundColour("pink")
                 self.qmax.Refresh()
-                msg= "Npts of Data Error :No or too little npts of %s."% data.name
-                wx.PostEvent(self.parent.parent, StatusEvent(status = msg ))
+                msg = "Npts of Data Error :No or too little npts of %s." % data.name
+                wx.PostEvent(self.parent.parent, StatusEvent(status=msg))
                 self.fitrange = False
                 flag = False
             else:
-                self.Npts_fit.SetValue(str(len(index_data[index_data==True])))
+                self.Npts_fit.SetValue(str(len(index_data[index_data == True])))
                 self.fitrange = True
             
         return flag
-
-
     
     def _check_value_enter(self, list, modified):
@@ -2362,16 +2330,16 @@
         :Note: each item of the list should be as follow:
             item=[check button state, parameter's name,
-                paramater's value, string="+/-", 
-                parameter's error of fit, 
-                parameter's minimum value, 
-                parrameter's maximum value , 
+                paramater's value, string="+/-",
+                parameter's error of fit,
+                parameter's minimum value,
+                parrameter's maximum value ,
                 parameter's units]
-        """  
-        is_modified =  modified
-        if len(list)==0:
+        """
+        is_modified = modified
+        if len(list) == 0:
             return is_modified
         for item in list:
             #skip angle parameters for 1D
-            if not self.enable2D:#self.data.__class__.__name__ !="Data2D":
+            if not self.enable2D:
                 if item in self.orientation_params:
                     continue
@@ -2379,17 +2347,16 @@
             name = str(item[1])
             
-            if string.find(name,".npts") ==-1 and \
-                                        string.find(name,".nsigmas")==-1:      
-                ## check model parameters range             
-                param_min= None
-                param_max= None
+            if string.find(name, ".npts") == -1 and \
+                                        string.find(name, ".nsigmas") == -1:
+                ## check model parameters range
+                param_min = None
+                param_max = None
                
                 ## check minimun value
-                if item[5]!= None and item[5]!= "":
-                    if item[5].GetValue().lstrip().rstrip()!="":
+                if item[5] != None and item[5] != "":
+                    if item[5].GetValue().lstrip().rstrip() != "":
                         try:
-                            
                             param_min = float(item[5].GetValue())
-                            if not self._validate_qrange(item[5],item[2]):
+                            if not self._validate_qrange(item[5], item[2]):
                                 if numpy.isfinite(param_min):
                                     item[2].SetValue(format_number(param_min))
@@ -2400,16 +2367,16 @@
                         except:
                             msg = "Wrong Fit parameter range entered "
-                            wx.PostEvent(self.parent.parent, 
-                                         StatusEvent(status = msg))
+                            wx.PostEvent(self.parent.parent,
+                                         StatusEvent(status=msg))
                             raise ValueError, msg
                         is_modified = True
                 ## check maximum value
-                if item[6]!= None and item[6]!= "":
-                    if item[6].GetValue().lstrip().rstrip()!="":
-                        try:                          
+                if item[6] != None and item[6] != "":
+                    if item[6].GetValue().lstrip().rstrip() != "":
+                        try:
                             param_max = float(item[6].GetValue())
-                            if not self._validate_qrange(item[2],item[6]):
+                            if not self._validate_qrange(item[2], item[6]):
                                 if numpy.isfinite(param_max):
-                                    item[2].SetValue(format_number(param_max))  
+                                    item[2].SetValue(format_number(param_max))
                             
                             item[6].SetBackgroundColour(wx.WHITE)
